diff options
Diffstat (limited to 'autotest.sh')
-rwxr-xr-x | autotest.sh | 6 |
1 files changed, 3 insertions, 3 deletions
diff --git a/autotest.sh b/autotest.sh index 5f5633fcf0f..022d4ecd4b6 100755 --- a/autotest.sh +++ b/autotest.sh @@ -54,7 +54,7 @@ else fi if ! [ -x "$PHPUNIT" ]; then - echo "phpunit executable not found, please install phpunit version >= 4.4" >&2 + echo "phpunit executable not found, please install phpunit version >= 4.8" >&2 exit 3 fi @@ -69,8 +69,8 @@ PHPUNIT_VERSION=$($PHPUNIT --version | cut -d" " -f2) PHPUNIT_MAJOR_VERSION=$(echo "$PHPUNIT_VERSION" | cut -d"." -f1) PHPUNIT_MINOR_VERSION=$(echo "$PHPUNIT_VERSION" | cut -d"." -f2) -if ! [ "$PHPUNIT_MAJOR_VERSION" -gt 4 -o \( "$PHPUNIT_MAJOR_VERSION" -eq 4 -a "$PHPUNIT_MINOR_VERSION" -ge 4 \) ]; then - echo "phpunit version >= 4.4 required. Version found: $PHPUNIT_VERSION" >&2 +if ! [ "$PHPUNIT_MAJOR_VERSION" -gt 4 -o \( "$PHPUNIT_MAJOR_VERSION" -eq 4 -a "$PHPUNIT_MINOR_VERSION" -ge 8 \) ]; then + echo "phpunit version >= 4.8 required. Version found: $PHPUNIT_VERSION" >&2 exit 4 fi |